<?php

$lawyer_hub_tp_theme_css = '';

//theme-color
$lawyer_hub_tp_color_option = get_theme_mod('lawyer_hub_tp_color_option');

// 1st color
$lawyer_hub_tp_color_option = get_theme_mod('lawyer_hub_tp_color_option', '#e0a762');
if ($lawyer_hub_tp_color_option) {
	$lawyer_hub_tp_theme_css .= ':root {';
	$lawyer_hub_tp_theme_css .= '--color-primary1: ' . esc_attr($lawyer_hub_tp_color_option) . ';';
	$lawyer_hub_tp_theme_css .= '}';
}

//hover color
$lawyer_hub_tp_color_option_link = get_theme_mod('lawyer_hub_tp_color_option_link');

if($lawyer_hub_tp_color_option_link != false){
$lawyer_hub_tp_theme_css .='.prev.page-numbers:focus, .prev.page-numbers:hover, .next.page-numbers:focus, .next.page-numbers:hover, #comments input[type="submit"]:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, #footer button[type="submit"]:hover, #theme-sidebar button[type="submit"]:hover,.book-tkt-btn a.register-btn:hover,.more-btn a:hover,.book-tkt-btn a.bar-btn i:hover,span.meta-nav:hover, #return-to-top:hover,.wc-block-cart__submit-container a:hover,.wc-block-grid__product-add-to-cart.wp-block-button .wp-block-button__link:hover{';
	$lawyer_hub_tp_theme_css .='background: '.esc_attr($lawyer_hub_tp_color_option_link).';';
$lawyer_hub_tp_theme_css .='}';
}
if($lawyer_hub_tp_color_option_link != false){
$lawyer_hub_tp_theme_css .='a:hover,#theme-sidebar a:hover,.media-links i:hover ,#footer a:hover, #theme-sidebar .widget_tag_cloud a:hover, #theme-sidebar .tagcloud a:hover, p.wp-block-tag-cloud a:hover, .post_tag a:hover, #theme-sidebar .widget_tag_cloud a:hover, .readmore-btn a:hover,#footer li a:hover,#footer .tagcloud a:hover, #footer p.wp-block-tag-cloud a:hover {';
	$lawyer_hub_tp_theme_css .='color: '.esc_attr($lawyer_hub_tp_color_option_link).';';
$lawyer_hub_tp_theme_css .='}';
}
if($lawyer_hub_tp_color_option_link != false){
$lawyer_hub_tp_theme_css .='#footer .tagcloud a:hover,#footer a:hover,.post_tag a:hover, #theme-sidebar .widget_tag_cloud a:hover, #theme-sidebar .tagcloud a:hover, p.wp-block-tag-cloud a:hover, .post_tag a:hover, #theme-sidebar .widget_tag_cloud a:hover, .readmore-btn a:hover, #footer p.wp-block-tag-cloud a:hover {';
	$lawyer_hub_tp_theme_css .='border-color: '.esc_attr($lawyer_hub_tp_color_option_link).';';
$lawyer_hub_tp_theme_css .='}';
}

//preloader//

$lawyer_hub_tp_preloader_color1_option = get_theme_mod('lawyer_hub_tp_preloader_color1_option');
$lawyer_hub_tp_preloader_color2_option = get_theme_mod('lawyer_hub_tp_preloader_color2_option');
$lawyer_hub_tp_preloader_bg_option = get_theme_mod('lawyer_hub_tp_preloader_bg_option');


if($lawyer_hub_tp_preloader_color1_option != false){
$lawyer_hub_tp_theme_css .='.center1{';
	$lawyer_hub_tp_theme_css .='border-color: '.esc_attr($lawyer_hub_tp_preloader_color1_option).' !important;';
$lawyer_hub_tp_theme_css .='}';
}
if($lawyer_hub_tp_preloader_color1_option != false){
$lawyer_hub_tp_theme_css .='.center1 .ring::before{';
	$lawyer_hub_tp_theme_css .='background: '.esc_attr($lawyer_hub_tp_preloader_color1_option).' !important;';
$lawyer_hub_tp_theme_css .='}';
}
if($lawyer_hub_tp_preloader_color2_option != false){
$lawyer_hub_tp_theme_css .='.center2{';
	$lawyer_hub_tp_theme_css .='border-color: '.esc_attr($lawyer_hub_tp_preloader_color2_option).' !important;';
$lawyer_hub_tp_theme_css .='}';
}
if($lawyer_hub_tp_preloader_color2_option != false){
$lawyer_hub_tp_theme_css .='.center2 .ring::before{';
	$lawyer_hub_tp_theme_css .='background: '.esc_attr($lawyer_hub_tp_preloader_color2_option).' !important;';
$lawyer_hub_tp_theme_css .='}';
}
if($lawyer_hub_tp_preloader_bg_option != false){
$lawyer_hub_tp_theme_css .='.loader{';
	$lawyer_hub_tp_theme_css .='background: '.esc_attr($lawyer_hub_tp_preloader_bg_option).';';
$lawyer_hub_tp_theme_css .='}';
}

// footer-bg-color
$lawyer_hub_tp_footer_bg_color_option = get_theme_mod('lawyer_hub_tp_footer_bg_color_option');

if($lawyer_hub_tp_footer_bg_color_option != false){
$lawyer_hub_tp_theme_css .='#footer{';
	$lawyer_hub_tp_theme_css .='background: '.esc_attr($lawyer_hub_tp_footer_bg_color_option).' !important;';
$lawyer_hub_tp_theme_css .='}';
}

// logo tagline color
$lawyer_hub_site_tagline_color = get_theme_mod('lawyer_hub_site_tagline_color');

if($lawyer_hub_site_tagline_color != false){
$lawyer_hub_tp_theme_css .='.logo h1 a, .logo p.site-title a{';
$lawyer_hub_tp_theme_css .='color: '.esc_attr($lawyer_hub_site_tagline_color).'!important;';
$lawyer_hub_tp_theme_css .='}';
}

$lawyer_hub_logo_tagline_color = get_theme_mod('lawyer_hub_logo_tagline_color');
if($lawyer_hub_logo_tagline_color != false){
$lawyer_hub_tp_theme_css .='p.site-description{';
$lawyer_hub_tp_theme_css .='color: '.esc_attr($lawyer_hub_logo_tagline_color).';';
$lawyer_hub_tp_theme_css .='}';
}

// footer widget title color
$lawyer_hub_footer_widget_title_color = get_theme_mod('lawyer_hub_footer_widget_title_color');
if($lawyer_hub_footer_widget_title_color != false){
$lawyer_hub_tp_theme_css .='#footer h3{';
$lawyer_hub_tp_theme_css .='color: '.esc_attr($lawyer_hub_footer_widget_title_color).';';
$lawyer_hub_tp_theme_css .='}';
}

// copyright text color
$lawyer_hub_footer_copyright_text_color = get_theme_mod('lawyer_hub_footer_copyright_text_color');
if($lawyer_hub_footer_copyright_text_color != false){
$lawyer_hub_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$lawyer_hub_tp_theme_css .='color: '.esc_attr($lawyer_hub_footer_copyright_text_color).';';
$lawyer_hub_tp_theme_css .='}';
}

// header image title color
$lawyer_hub_header_image_title_text_color = get_theme_mod('lawyer_hub_header_image_title_text_color');
if($lawyer_hub_header_image_title_text_color != false){
$lawyer_hub_tp_theme_css .='.box-text h2{';
$lawyer_hub_tp_theme_css .='color: '.esc_attr($lawyer_hub_header_image_title_text_color).';';
$lawyer_hub_tp_theme_css .='}';
}

// menu color
$lawyer_hub_menu_color = get_theme_mod('lawyer_hub_menu_color');
if($lawyer_hub_menu_color != false){
$lawyer_hub_tp_theme_css .='.main-navigation a{';
$lawyer_hub_tp_theme_css .='color: '.esc_attr($lawyer_hub_menu_color).';';
$lawyer_hub_tp_theme_css .='}';
}

//Footer Font Weight
$lawyer_hub_footer_copyright_title_font_weight = get_theme_mod( 'lawyer_hub_footer_copyright_title_font_weight','');
if($lawyer_hub_footer_copyright_title_font_weight == '100'){
$lawyer_hub_tp_theme_css .='#footer .site-info p {';
    $lawyer_hub_tp_theme_css .='font-weight: 100;';
$lawyer_hub_tp_theme_css .='}';
}else if($lawyer_hub_footer_copyright_title_font_weight == '200'){
$lawyer_hub_tp_theme_css .='#footer .site-info p {';
    $lawyer_hub_tp_theme_css .='font-weight: 200;';
$lawyer_hub_tp_theme_css .='}';
}else if($lawyer_hub_footer_copyright_title_font_weight == '300'){
$lawyer_hub_tp_theme_css .='#footer .site-info p {';
    $lawyer_hub_tp_theme_css .='font-weight: 300;';
$lawyer_hub_tp_theme_css .='}';
}else if($lawyer_hub_footer_copyright_title_font_weight == '400'){
$lawyer_hub_tp_theme_css .='#footer .site-info p {';
    $lawyer_hub_tp_theme_css .='font-weight: 400;';
$lawyer_hub_tp_theme_css .='}';
}else if($lawyer_hub_footer_copyright_title_font_weight == '500'){
$lawyer_hub_tp_theme_css .='#footer .site-info p {';
    $lawyer_hub_tp_theme_css .='font-weight: 500;';
$lawyer_hub_tp_theme_css .='}';
}else if($lawyer_hub_footer_copyright_title_font_weight == '600'){
$lawyer_hub_tp_theme_css .='#footer .site-info p {';
    $lawyer_hub_tp_theme_css .='font-weight: 600;';
$lawyer_hub_tp_theme_css .='}';
}else if($lawyer_hub_footer_copyright_title_font_weight == '700'){
$lawyer_hub_tp_theme_css .='#footer .site-info p {';
    $lawyer_hub_tp_theme_css .='font-weight: 700;';
$lawyer_hub_tp_theme_css .='}';
}else if($lawyer_hub_footer_copyright_title_font_weight == '800'){
$lawyer_hub_tp_theme_css .='#footer .site-info p {';
    $lawyer_hub_tp_theme_css .='font-weight: 800;';
$lawyer_hub_tp_theme_css .='}';
}else if($lawyer_hub_footer_copyright_title_font_weight == '900'){
$lawyer_hub_tp_theme_css .='#footer .site-info p {';
    $lawyer_hub_tp_theme_css .='font-weight: 900;';
$lawyer_hub_tp_theme_css .='}';
}